<?php
/**
 * Created by PhpStorm.
 * User: Julio
 * Date: 4/18/16
 * Time: 3:58 PM
 */


$listaarchivos = array(
    'http://sarapiqui.imn.ac.cr/modelo/ACG/humedad.txt',
    'http://sarapiqui.imn.ac.cr/modelo/ACG/humedad.csv',
    'http://sarapiqui.imn.ac.cr/modelo/ACG/lluvia.txt',
    'http://sarapiqui.imn.ac.cr/modelo/ACG/lluvia.csv',
    'http://sarapiqui.imn.ac.cr/modelo/ACG/vientoU.txt',
    'http://sarapiqui.imn.ac.cr/modelo/ACG/vientoU.csv',
    'http://sarapiqui.imn.ac.cr/modelo/ACG/vientoV.txt',
    'http://sarapiqui.imn.ac.cr/modelo/ACG/vientoV.csv',
    'http://sarapiqui.imn.ac.cr/modelo/ACG/temperatura.txt',
    'http://sarapiqui.imn.ac.cr/modelo/ACG/temperatura.csv'
);


$anno = date("Y");
$mes = date("m");
$dia = date("d");
$hora = date("H");
//$hora = 12;

$hora = $hora . '00';

$directoriodescargas = dirname(__FILE__) . DIRECTORY_SEPARATOR .'datosdescarga'. DIRECTORY_SEPARATOR ;


$directoriodestino = $directoriodescargas . $anno . DIRECTORY_SEPARATOR . $mes . DIRECTORY_SEPARATOR . $dia . DIRECTORY_SEPARATOR . $hora;
echo "Creando directorio [$directoriodestino]\n";
$resultado = mkdir ($directoriodestino, 0777, true);

foreach($listaarchivos as $archivoactual){

    $comando = "cd $directoriodestino && wget '$archivoactual' ";
    $resultado = exec( $comando);
    echo $resultado . "\n";
}
